<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Photo Gallery directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2011.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author: 	
	PaperThin, Inc.
	M. Carroll 
Custom Field Type:
	Photo Size Select Metadata Form Field Render
Name:
	photo_size_select_metadata_form_field_render.cfc
Summary:
	Selection field for the Photo Size CE records.
	
	TO BE USED ONLY IN A METADATA FORM!
ADF Requirements:
	csData_1_0
	scripts_1_0
ADF App:
	pt_photo_gallery
Version:
	2.0
History:
	2010-04-01 - MFC - Created
	2010-08-19 - MFC - Updated the load JQuery and JQuery versions to use the global versioning.
	2015-07-13 - DJM - Converted to CFC
	2016-02-26 - DRM - Resource detection support
--->
<cfcomponent displayName="PhotoSizeSelectMetadataFormField Render" extends="ADF.extensions.customfields.adf-form-field-renderer-base">

<cffunction name="renderControl" returntype="void" access="public">
	<cfargument name="fieldName" type="string" required="yes">
	<cfargument name="fieldDomID" type="string" required="yes">
	<cfargument name="value" type="string" required="yes">
	<cfscript>
		var currentValue = arguments.value;	// the field's current value
		// Get the data records
		var ceDataArray = application.ptPhotoGallery.cedata.getCEData("Photo Size");
		var isSelected = false;
		var cfs_i = 0;

		// Load JQuery to the script
	</cfscript>
	<cfoutput>
		<div id="#arguments.fieldName#_renderSelect">
			<select name='#arguments.fieldName#' id='#arguments.fieldName#'>
				<option value=''> - Select - </option>
				<cfloop index="cfs_i" from="1" to="#ArrayLen(ceDataArray)#">
					<cfif ceDataArray[cfs_i].Values.sizeID EQ currentValue>
						<cfset isSelected = true>
					<cfelse>
						<cfset isSelected = false>
					</cfif>
					<option value="#ceDataArray[cfs_i].Values.sizeID#" <cfif isSelected>selected</cfif>>#ceDataArray[cfs_i].Values.title#
				</cfloop>
			</select>
		</div>
	</cfoutput>
</cffunction>

<cfscript>
	private any function getValidationJS(required string formName, required string fieldName, required boolean isRequired)
	{
		if (arguments.isRequired)
			return 'hasValue(document.#arguments.formName#.#arguments.fieldName#, "TEXT")';
		return "";
	}
	
	private string function getValidationMsg()
	{
		return "Please select a value for the #arguments.label# field.";
	}


	public string function getResourceDependencies()
	{
		return listAppend(super.getResourceDependencies(), "jQuery");
	}
	public string function loadResourceDependencies()
	{
		application.ptPhotoGallery.scripts.loadJQuery();
	}
</cfscript>

</cfcomponent>